use JMCB_tables.dta, clear

*************************************************************************
*Table 2
*Panel A

local omt "effect_fv_ratio effect_afs_ratio effect_nafs_ratio" 

mat tab2=J(6,4,.)
local j 1
foreach x in `omt'{
local ++j
ttest effect_total_ratio == `x' 
mat tab2[1,1]=`r(mu_1)'
mat tab2[2,1]==`r(sd_1)'/sqrt(`r(N_1)')
mat tab2[1,`j']=`r(mu_2)'
mat tab2[2,`j']==`r(sd_2)'/sqrt(`r(N_2)')
ttest effect_total_ratio == `x' if d_giips==0
mat tab2[3,1]=`r(mu_1)'
mat tab2[4,1]==`r(sd_1)'/sqrt(`r(N_1)')
mat tab2[3,`j']=`r(mu_2)'
mat tab2[4,`j']==`r(sd_2)'/sqrt(`r(N_2)')
ttest effect_total_ratio == `x' if d_giips==1
mat tab2[5,1]=`r(mu_1)'
mat tab2[6,1]==`r(sd_1)'/sqrt(`r(N_1)')
mat tab2[5,`j']=`r(mu_2)'
mat tab2[6,`j']==`r(sd_2)'/sqrt(`r(N_2)')
}

mat colnames tab2="(1)" "(2)" "(3)" "(4)" 
mat rownames tab2="Allbanks" " " "Non-GIIPSbanks" " " "GIIPSbanks" " " 

*P-values
mat tab2p=J(3,3,.)
local j 0
foreach x in `omt'{
local ++j
ttest effect_total_ratio == `x' 
mat tab2p[1,`j']=`r(p)'
ttest effect_total_ratio == `x' if d_giips==0
mat tab2p[2,`j']=`r(p)'
ttest effect_total_ratio == `x' if d_giips==1
mat tab2p[3,`j']=`r(p)'
}

*Table 2
*Panel B

local omt "share_giips_fv share_giips_afs share_giips_nafs" 

mat tab2a=J(6,4,.)
local j 1
foreach x in `omt'{
local ++j
ttest share_giips_total == `x' 
mat tab2a[1,1]=`r(mu_1)'
mat tab2a[2,1]==`r(sd_1)'/sqrt(`r(N_1)')
mat tab2a[1,`j']=`r(mu_2)'
mat tab2a[2,`j']==`r(sd_2)'/sqrt(`r(N_2)')
ttest share_giips_total == `x' if d_giips==0
mat tab2a[3,1]=`r(mu_1)'
mat tab2a[4,1]==`r(sd_1)'/sqrt(`r(N_1)')
mat tab2a[3,`j']=`r(mu_2)'
mat tab2a[4,`j']==`r(sd_2)'/sqrt(`r(N_2)')
ttest share_giips_total == `x' if d_giips==1
mat tab2a[5,1]=`r(mu_1)'
mat tab2a[6,1]==`r(sd_1)'/sqrt(`r(N_1)')
mat tab2a[5,`j']=`r(mu_2)'
mat tab2a[6,`j']==`r(sd_2)'/sqrt(`r(N_2)')
}

mat colnames tab2a="(1)" "(2)" "(3)" "(4)" 
mat rownames tab2a="Allbanks" " " "Non-GIIPSbanks" " " "GIIPSbanks" " " 


*P-values
mat tab2ap=J(3,3,.)
local j 0
foreach x in `omt'{
local ++j
ttest share_giips_total == `x' 
mat tab2ap[1,`j']=`r(p)'
ttest share_giips_total == `x' if d_giips==0
mat tab2ap[2,`j']=`r(p)'
ttest share_giips_total == `x' if d_giips==1
mat tab2ap[3,`j']=`r(p)'
}


*Table 3
*Panel A
local var2 "_total _fv _afs _nafs"
mat matu=J(4,4,.)
local i 0
foreach x in `var2'{
local ++i
sum t1`x', meanonly
mat matu[`i',1]=`r(mean)'
sum t2`x', meanonly
mat matu[`i',2]=`r(mean)'
sum t3`x', meanonly
mat matu[`i',3]=`r(mean)'
sum t4`x', meanonly
mat matu[`i',4]=`r(mean)'
}

mat colnames matu="Total" "1year" "3year" "5year" 
mat rownames matu="Total" "Fairvalued" "AfS" "HfT"

*Table 3
*Panel B

local var2 "_total _fv _afs _nafs"
mat matu=J(4,4,.)
local i 0
foreach x in `var2'{
local ++i
sum T1`x', meanonly
mat matu[`i',1]=`r(mean)'
sum T2`x', meanonly
mat matu[`i',2]=`r(mean)'
sum T3`x', meanonly
mat matu[`i',3]=`r(mean)'
sum T4`x', meanonly
mat matu[`i',4]=`r(mean)'
}

mat colnames matu="Total" "1year" "3year" "5year" 
mat rownames matu="Total" "Fairvalued" "AfS" "HfT"

